Index: trunk/tools/FlairGCS/src/ConnectionLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 15)
@@ -13,163 +13,161 @@
 #define COMPRESS_CHUNK 1024
 
-
-ConnectionLayout::ConnectionLayout(UdtSocket* socket,QString name): Layout(NULL,name,"root") {
-    isRemoteNameDefined=false;
-    this->socket=socket;
+ConnectionLayout::ConnectionLayout(UdtSocket *socket, QString name)
+    : Layout(NULL, name, "root") {
+  isRemoteNameDefined = false;
+  this->socket = socket;
 }
 
-ConnectionLayout::~ConnectionLayout() {
-}
+ConnectionLayout::~ConnectionLayout() {}
 
-void ConnectionLayout::receive(char* buf,int size) {
-    //printf("trame %x\n",buf[0]);
-    //for(int i=0; i<size;i++) printf("%x ",buf[i]);
-    //printf("\n");
-    switch(buf[0]) {
-        case ZLIB_HEADER: {
-            ssize_t out_size;
-            char* uncompressbuf;
-            uncompressBuffer(buf,size,&uncompressbuf,&out_size);
-            handleUncompressedFrame(uncompressbuf,out_size);
-            free(uncompressbuf);
-            break;
-        }
-        default:
-            handleUncompressedFrame(buf,size);
-    }
-    free(buf);
+void ConnectionLayout::receive(char *buf, int size) {
+  // printf("trame %x\n",buf[0]);
+  // for(int i=0; i<size;i++) printf("%x ",buf[i]);
+  // printf("\n");
+  switch (buf[0]) {
+  case ZLIB_HEADER: {
+    ssize_t out_size;
+    char *uncompressbuf;
+    uncompressBuffer(buf, size, &uncompressbuf, &out_size);
+    handleUncompressedFrame(uncompressbuf, out_size);
+    free(uncompressbuf);
+    break;
+  }
+  default:
+    handleUncompressedFrame(buf, size);
+  }
+  free(buf);
 }
 
 void ConnectionLayout::XmlToSend(QDomDocument doc) {
-    //printf("xml to send\n%s\n",doc.toString().toLocal8Bit().constData());
-//xml to send a mettre dans le manager
-    QMetaObject::invokeMethod(socket,
-                              "write",
-                              Qt::BlockingQueuedConnection,
-                              Q_ARG(const char*,doc.toString().toLocal8Bit().constData()),
-                              Q_ARG(qint64,doc.toString().toLocal8Bit().length()));
-
+  // printf("xml to send\n%s\n",doc.toString().toLocal8Bit().constData());
+  // xml to send a mettre dans le manager
+  QMetaObject::invokeMethod(
+      socket, "write", Qt::BlockingQueuedConnection,
+      Q_ARG(const char *, doc.toString().toLocal8Bit().constData()),
+      Q_ARG(qint64, doc.toString().toLocal8Bit().length()));
 }
 
 void ConnectionLayout::LoadXml(QDomDocument to_parse) {
-    if(!isRemoteNameDefined) {
-        printf("load xml: name not defined!\n");
-        return;
+  if (!isRemoteNameDefined) {
+    printf("load xml: name not defined!\n");
+    return;
+  }
+
+  QDomElement tmp = to_parse.firstChildElement("root");
+  while (tmp.attribute("name") != remoteName && !tmp.isNull())
+    tmp = to_parse.nextSiblingElement("root");
+
+  if (!tmp.isNull()) {
+    XmlWidget::LoadXml(tmp);
+  } else {
+    printf("%s not found in xml file \n", remoteName.toLocal8Bit().constData());
+  }
+}
+
+void ConnectionLayout::handleUncompressedFrame(char *buf, ssize_t size) {
+  switch ((unsigned char)buf[0]) {
+  case XML_HEADER: {
+    QString xml;
+    QDomDocument doc;
+    xml = QString((char *)buf);
+    xml.resize(size);
+
+    // printf("recu %i\n%s\n",size,xml.toLocal8Bit().constData());
+    if (!doc.setContent(xml)) {
+      printf("prob setContent fichier\n");
     }
 
-    QDomElement tmp=to_parse.firstChildElement("root");
-    while(tmp.attribute("name")!=remoteName && !tmp.isNull()) tmp=to_parse.nextSiblingElement("root");
+    if (!isRemoteNameDefined) {
+      isRemoteNameDefined = true;
+      remoteName = doc.firstChildElement("root").attribute("name");
+      setRemoteName(remoteName);
+      SetAttribute("name", remoteName);
+    }
 
-    if(!tmp.isNull()) {
-        XmlWidget::LoadXml(tmp);
-    } else {
-        printf("%s not found in xml file \n",remoteName.toLocal8Bit().constData());
-    }
+    ParseXml(doc.firstChildElement("root").firstChildElement());
+    break;
+  }
+  case DATAS_BIG_ENDIAN: {
+    // for(int i=0;i<size;i++) printf("%x ",buf[i]);
+    // printf("\n");
+    uint16_t period;
+    memcpy(&period, &buf[1], sizeof(uint16_t));
+    period = qFromBigEndian(period);
+    drawDatas(&buf[3], size - 3, period, true);
+    break;
+  }
+  case DATAS_LITTLE_ENDIAN: {
+    // for(int i=0;i<size;i++) printf("%x ",buf[i]);
+    // printf("\n");
+    uint16_t period;
+    memcpy(&period, &buf[1], sizeof(uint16_t));
+    // printf("recu %i period %i\n",size,period);
+    drawDatas(&buf[3], size - 3, period);
+    break;
+  }
+  default:
+    printf("trame non supportée %x\n", buf[0]);
+  }
 }
 
-void ConnectionLayout::handleUncompressedFrame(char *buf,ssize_t size) {
-    switch((unsigned char)buf[0]) {
-        case XML_HEADER: {
-            QString xml;
-            QDomDocument doc;
-            xml=QString((char*)buf);
-            xml.resize(size);
-
-            //printf("recu %i\n%s\n",size,xml.toLocal8Bit().constData());
-            if(!doc.setContent(xml)) {
-                printf("prob setContent fichier\n");
-            }
-
-            if(!isRemoteNameDefined) {
-                isRemoteNameDefined=true;
-                remoteName=doc.firstChildElement("root").attribute("name");
-                setRemoteName(remoteName);
-                SetAttribute("name",remoteName);
-            }
-
-            ParseXml(doc.firstChildElement("root").firstChildElement());
-            break;
-        }
-        case DATAS_BIG_ENDIAN: {
-            //for(int i=0;i<size;i++) printf("%x ",buf[i]);
-            //printf("\n");
-            uint16_t period;
-            memcpy(&period,&buf[1],sizeof(uint16_t));
-            period=qFromBigEndian(period);
-            drawDatas(&buf[3],size-3,period,true);
-            break;
-        }
-        case DATAS_LITTLE_ENDIAN: {
-            //for(int i=0;i<size;i++) printf("%x ",buf[i]);
-            //printf("\n");
-            uint16_t period;
-            memcpy(&period,&buf[1],sizeof(uint16_t));
-            //printf("recu %i period %i\n",size,period);
-            drawDatas(&buf[3],size-3,period);
-            break;
-        }
-        default:
-            printf("trame non supportée %x\n",buf[0]);
-    }
+void ConnectionLayout::removeDataRemote(DataRemote *data) {
+  dataremotes.removeOne(data);
 }
 
-void ConnectionLayout::removeDataRemote(DataRemote* data) {
-    dataremotes.removeOne(data);
+void ConnectionLayout::addDataRemote(DataRemote *data) {
+  dataremotes.append(data);
 }
 
-void ConnectionLayout::addDataRemote(DataRemote* data) {
-    dataremotes.append(data);
+QString ConnectionLayout::getRemoteName() { return remoteName; }
+void ConnectionLayout::drawDatas(char *buf, int buf_size, uint16_t period,
+                                 bool big_endian) {
+  for (int i = 0; i < dataremotes.count(); i++) {
+    dataremotes.at(i)->BufEvent(&buf, &buf_size, period, big_endian);
+  }
 }
 
-QString ConnectionLayout::getRemoteName() {
-    return remoteName;
+int ConnectionLayout::uncompressBuffer(char *in, ssize_t in_size, char **out,
+                                       ssize_t *out_size) {
+  int ret;
+  unsigned have;
+  z_stream strm;
+
+  // allocate inflate state
+  strm.zalloc = Z_NULL;
+  strm.zfree = Z_NULL;
+  strm.opaque = Z_NULL;
+  strm.avail_in = 0;
+  strm.next_in = Z_NULL;
+  ret = inflateInit(&strm);
+  if (ret != Z_OK)
+    return ret;
+
+  *out = (char *)malloc(COMPRESS_CHUNK);
+  if (!(*out))
+    return Z_BUF_ERROR;
+
+  strm.avail_in = in_size;
+  strm.next_in = (unsigned char *)in;
+  strm.avail_out = COMPRESS_CHUNK;
+  strm.next_out = (unsigned char *)*out;
+
+  ret = inflate(&strm, Z_NO_FLUSH);
+  assert(ret != Z_STREAM_ERROR); // state not clobbered
+  switch (ret) {
+  case Z_NEED_DICT:
+    ret = Z_DATA_ERROR; // and fall through
+  case Z_DATA_ERROR:
+  case Z_MEM_ERROR:
+    (void)inflateEnd(&strm);
+    return ret;
+  }
+  have = COMPRESS_CHUNK - strm.avail_out;
+  *out_size = have;
+
+  // printf("%i -> %i\n",in_size,have);
+  // printf("%s\n",*out);
+  // clean up and return
+  (void)inflateEnd(&strm);
+  return ret == Z_STREAM_END ? Z_OK : Z_DATA_ERROR;
 }
-void ConnectionLayout::drawDatas(char* buf,int buf_size,uint16_t period,bool big_endian) {
-    for(int i=0;i<dataremotes.count();i++) {
-        dataremotes.at(i)->BufEvent(&buf,&buf_size,period,big_endian);
-    }
-}
-
-int ConnectionLayout::uncompressBuffer(char *in, ssize_t in_size,char **out,ssize_t *out_size) {
-    int ret;
-    unsigned have;
-    z_stream strm;
-
-    // allocate inflate state
-    strm.zalloc = Z_NULL;
-    strm.zfree = Z_NULL;
-    strm.opaque = Z_NULL;
-    strm.avail_in = 0;
-    strm.next_in = Z_NULL;
-    ret = inflateInit(&strm);
-    if (ret != Z_OK)
-        return ret;
-
-    *out=(char*)malloc(COMPRESS_CHUNK);
-    if(!(*out))
-        return Z_BUF_ERROR;
-
-    strm.avail_in = in_size;
-    strm.next_in = (unsigned char*)in;
-    strm.avail_out = COMPRESS_CHUNK;
-    strm.next_out = (unsigned char*)*out;
-
-    ret = inflate(&strm, Z_NO_FLUSH);
-    assert(ret != Z_STREAM_ERROR);  // state not clobbered
-    switch (ret) {
-    case Z_NEED_DICT:
-        ret = Z_DATA_ERROR;     // and fall through
-    case Z_DATA_ERROR:
-    case Z_MEM_ERROR:
-        (void)inflateEnd(&strm);
-        return ret;
-    }
-    have = COMPRESS_CHUNK- strm.avail_out;
-    *out_size=have;
-
-    //printf("%i -> %i\n",in_size,have);
-    //printf("%s\n",*out);
-    // clean up and return
-    (void)inflateEnd(&strm);
-    return ret == Z_STREAM_END ? Z_OK : Z_DATA_ERROR;
-}
Index: trunk/tools/FlairGCS/src/ConnectionLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 14)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 15)
@@ -11,31 +11,32 @@
 class DataRemote;
 
-class ConnectionLayout:  public Layout
-{
-    Q_OBJECT
+class ConnectionLayout : public Layout {
+  Q_OBJECT
 
-    public:
-        ConnectionLayout(UdtSocket* socket,QString name);
-        ~ConnectionLayout();
-        void XmlToSend(QDomDocument doc);
-        void addDataRemote(DataRemote* data);
-        void removeDataRemote(DataRemote* data);
-        void LoadXml(QDomDocument to_parse);
-        QString getRemoteName();
+public:
+  ConnectionLayout(UdtSocket *socket, QString name);
+  ~ConnectionLayout();
+  void XmlToSend(QDomDocument doc);
+  void addDataRemote(DataRemote *data);
+  void removeDataRemote(DataRemote *data);
+  void LoadXml(QDomDocument to_parse);
+  QString getRemoteName();
 
-    private:
-        static int uncompressBuffer(char *in, ssize_t in_size,char **out,ssize_t *out_size);
-        void handleUncompressedFrame(char *buf,ssize_t size);
-        void drawDatas(char* buf,int buf_size,uint16_t period,bool big_endian=false);
-        bool isRemoteNameDefined;
-        QString remoteName;
-        UdtSocket* socket;
-        QList<DataRemote*> dataremotes;
+private:
+  static int uncompressBuffer(char *in, ssize_t in_size, char **out,
+                              ssize_t *out_size);
+  void handleUncompressedFrame(char *buf, ssize_t size);
+  void drawDatas(char *buf, int buf_size, uint16_t period,
+                 bool big_endian = false);
+  bool isRemoteNameDefined;
+  QString remoteName;
+  UdtSocket *socket;
+  QList<DataRemote *> dataremotes;
 
-    private slots:
-        void receive(char* buf,int  size);
+private slots:
+  void receive(char *buf, int size);
 
-    signals:
-        void setRemoteName(QString name);
+signals:
+  void setRemoteName(QString name);
 };
 
Index: trunk/tools/FlairGCS/src/DataPlot1D.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 15)
@@ -10,111 +10,121 @@
 #include <qendian.h>
 
-DataPlot1D::DataPlot1D(Layout* parent,int row, int col,QString title,float ymin, float ymax,bool enabled,int period):
-    ScopeFixedStep(title,ymin,ymax,period/1000.),DataRemote(title,"DataPlot1D",parent,enabled,period) {
+DataPlot1D::DataPlot1D(Layout *parent, int row, int col, QString title,
+                       float ymin, float ymax, bool enabled, int period)
+    : ScopeFixedStep(title, ymin, ymax, period / 1000.),
+      DataRemote(title, "DataPlot1D", parent, enabled, period) {
 
-    setEnabled(enabled);
-    parent->addWidget(this,row,col);
-    visible_widget=this;
+  setEnabled(enabled);
+  parent->addWidget(this, row, col);
+  visible_widget = this;
 }
 
 DataPlot1D::~DataPlot1D() {
-    visible_widget=NULL;//because otherwise xmlwidget will delete it
+  visible_widget = NULL; // because otherwise xmlwidget will delete it
 }
 
 void DataPlot1D::XmlEvent(QDomElement dom) {
-    if(dom.attribute("curve")!="") {
-        QString type=dom.attribute("type");
-        int r=dom.attribute("r").toInt();
-        int g=dom.attribute("g").toInt();
-        int b=dom.attribute("b").toInt();
-        QString name=dom.attribute("curve");
-        addCurve(QPen(QColor(r,g,b,255)),name);
-        datas_type.append(type);
-        if(type=="float") {
-            receivesize+=sizeof(float);
-        } else if(type=="int8_t") {
-            receivesize+=sizeof(int8_t);
-        } else if(type=="int16_t") {
-            receivesize+=sizeof(int16_t);
-        } else {
-            printf("MyDataPlot1D::addCurve unknown type %s\n",type.toLocal8Bit().constData());
-        }
+  if (dom.attribute("curve") != "") {
+    QString type = dom.attribute("type");
+    int r = dom.attribute("r").toInt();
+    int g = dom.attribute("g").toInt();
+    int b = dom.attribute("b").toInt();
+    QString name = dom.attribute("curve");
+    addCurve(QPen(QColor(r, g, b, 255)), name);
+    datas_type.append(type);
+    if (type == "float") {
+      receivesize += sizeof(float);
+    } else if (type == "int8_t") {
+      receivesize += sizeof(int8_t);
+    } else if (type == "int16_t") {
+      receivesize += sizeof(int16_t);
     } else {
-        XmlSetup(dom);
+      printf("MyDataPlot1D::addCurve unknown type %s\n",
+             type.toLocal8Bit().constData());
     }
+  } else {
+    XmlSetup(dom);
+  }
 }
 
 bool DataPlot1D::eventFilter(QObject *o, QEvent *e) {
-    if (  o == canvas() ) {
-        switch(e->type()) {
-            case QEvent::Resize: {
-                //resolution bug taille widgets:
-                setMaximumHeight(parentWidget()->height()/((QGridLayout*)(parentWidget()->layout()))->rowCount());
-                break;
-            }
-            case QEvent::MouseButtonPress: {
-                return mouseEvent((QMouseEvent*)e);
-            }
+  if (o == canvas()) {
+    switch (e->type()) {
+    case QEvent::Resize: {
+      // resolution bug taille widgets:
+      setMaximumHeight(parentWidget()->height() /
+                       ((QGridLayout *)(parentWidget()->layout()))->rowCount());
+      break;
+    }
+    case QEvent::MouseButtonPress: {
+      return mouseEvent((QMouseEvent *)e);
+    }
 
-            default:
-                break;
-        }
+    default:
+      break;
     }
-    return Scope::eventFilter(o, e);
+  }
+  return Scope::eventFilter(o, e);
 }
 
-void DataPlot1D::BufEvent(char **buf,int *buf_size,uint16_t period,bool big_endian)
-{
-    setEnabled(IsEnabled());
-    if(IsEnabled()==false || RefreshRate_ms()!=period) return;
-    double* datas=(double*)malloc(datas_type.count()*sizeof(double));
+void DataPlot1D::BufEvent(char **buf, int *buf_size, uint16_t period,
+                          bool big_endian) {
+  setEnabled(IsEnabled());
+  if (IsEnabled() == false || RefreshRate_ms() != period)
+    return;
+  double *datas = (double *)malloc(datas_type.count() * sizeof(double));
 
-    for(int i=0;i<datas_type.count();i++) {
-        if(datas_type.at(i)=="float") {
-            uint32_t data_raw;
-            float* data=(float*)&data_raw;
-            memcpy((void*)&data_raw,*buf,sizeof(uint32_t));
-            *buf+=sizeof(uint32_t);
-            if(big_endian==true) data_raw=qFromBigEndian(data_raw);
-            datas[i]=*data;
-        } else if(datas_type.at(i)=="int8_t") {
-            int8_t data;
-            memcpy((void*)&data,*buf,sizeof(data));
-            *buf+=sizeof(data);
-            datas[i]=data;
-        } else if(datas_type.at(i)=="int16_t") {
-            int16_t data;
-            memcpy((void*)&data,*buf,sizeof(data));
-            *buf+=sizeof(data);
-            if(big_endian==true) data=qFromBigEndian(data);
-            datas[i]=data;
-        } else {
-            printf("DataPlot1D::BufEvent unknown type %s\n",datas_type.at(i).toLocal8Bit().constData());
-        }
+  for (int i = 0; i < datas_type.count(); i++) {
+    if (datas_type.at(i) == "float") {
+      uint32_t data_raw;
+      float *data = (float *)&data_raw;
+      memcpy((void *)&data_raw, *buf, sizeof(uint32_t));
+      *buf += sizeof(uint32_t);
+      if (big_endian == true)
+        data_raw = qFromBigEndian(data_raw);
+      datas[i] = *data;
+    } else if (datas_type.at(i) == "int8_t") {
+      int8_t data;
+      memcpy((void *)&data, *buf, sizeof(data));
+      *buf += sizeof(data);
+      datas[i] = data;
+    } else if (datas_type.at(i) == "int16_t") {
+      int16_t data;
+      memcpy((void *)&data, *buf, sizeof(data));
+      *buf += sizeof(data);
+      if (big_endian == true)
+        data = qFromBigEndian(data);
+      datas[i] = data;
+    } else {
+      printf("DataPlot1D::BufEvent unknown type %s\n",
+             datas_type.at(i).toLocal8Bit().constData());
     }
+  }
 
-    step_s=period/1000.;
-    plot(datas);
+  step_s = period / 1000.;
+  plot(datas);
 }
 
-//context menu
+// context menu
 bool DataPlot1D::mouseEvent(QMouseEvent *event) {
-    if (event->button() == Qt::RightButton) {
-        QMenu *menu = new QMenu("nom", (QwtPlot*)this);
-        QAction *a,*b,*z;
+  if (event->button() == Qt::RightButton) {
+    QMenu *menu = new QMenu("nom", (QwtPlot *)this);
+    QAction *a, *b, *z;
 
-        a=menu->addAction("reset time view");
-        b=menu->addAction("reset y view");
-        menu->addSeparator();
+    a = menu->addAction("reset time view");
+    b = menu->addAction("reset y view");
+    menu->addSeparator();
 
-        appendmenu(menu);
-        z=execmenu((QwtPlot*)this,menu,event->globalPos());
-        delete menu;
+    appendmenu(menu);
+    z = execmenu((QwtPlot *)this, menu, event->globalPos());
+    delete menu;
 
-        if(z==a) resetXView();
-        if(z==b) resetYView();
+    if (z == a)
+      resetXView();
+    if (z == b)
+      resetYView();
 
-        return true;
-    }
-    return false;
+    return true;
+  }
+  return false;
 }
Index: trunk/tools/FlairGCS/src/DataPlot1D.h
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 14)
+++ trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 15)
@@ -9,23 +9,20 @@
 #include "DataRemote.h"
 
-
 class Layout;
 class QMouseEvent;
 
-class DataPlot1D :  public ScopeFixedStep,public DataRemote
-{
-    public:
-        DataPlot1D(Layout* parent,int row, int col,QString title,float ymin, float ymax,bool enabled,int period);
-        ~DataPlot1D();
+class DataPlot1D : public ScopeFixedStep, public DataRemote {
+public:
+  DataPlot1D(Layout *parent, int row, int col, QString title, float ymin,
+             float ymax, bool enabled, int period);
+  ~DataPlot1D();
 
-    private:
-        void XmlEvent(QDomElement dom);
-        bool eventFilter(QObject *, QEvent *);
-        void BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian);
-        bool mouseEvent(QMouseEvent *event);
-        QList<QString> datas_type;
-
+private:
+  void XmlEvent(QDomElement dom);
+  bool eventFilter(QObject *, QEvent *);
+  void BufEvent(char **buf, int *buf_size, uint16_t period, bool big_endian);
+  bool mouseEvent(QMouseEvent *event);
+  QList<QString> datas_type;
 };
 
-
 #endif // DATAPLOT1D_H_INCLUDED
